Notifications
Notifications are alerts triggered by certain events pertaining to a resource. To receive notifications for a specific resource, a user must have a subscription to the resource.
Objects
Notification
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The notification ID |
created | string | ISO 8601 timestamp | The instant the notification was created at |
lastModified | string | ISO 8601 timestamp | The instant the notification was last modified at |
actor | object | Member | The member whose action raised this notification |
type | string | Notification Type | The type of notification |
resolved | bool | Whether or not the notification has been read |
{
"id" : "77ba9e22-bd05-4a8b-8835-1fd261d255be",
"created" : "2026-06-19T18:25:11.621583",
"lastModified" : "2026-06-19T18:25:11.621583",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "0760c193-4d91-4087-a786-46cd45c72c6a",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:09.108841",
"lastModified" : "2026-06-19T18:25:09.108841",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/0760c193-4d91-4087-a786-46cd45c72c6a"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
}
Formats
Notification Type
string
| Value | Description |
|---|---|
DATASET_ACTIVITY | Any activity on the dataset |
DATASET_ANOMALY | A detected anomaly in the dataset data |
DATASET_COMMENT | A comment on the dataset |
DATASET_LIKE | A like recorded on the dataset |
DATASET_MESSAGE | A message about the dataset |
JOB_STARTED | A job started for a pipeline |
JOB_ENDED | A job ended for a pipeline |
Requests
View all notifications
GET /api/notifications?all={all}&before={before}&since={since}
Returns all notifications for the authenticated user profile.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | false | Whether or not to return both resolved and unresolved notifications |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications?before=2026-06-19T18%3A25%3A12.283467170&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.matatika.com/api/notifications?before=2026-06-19T18%3A25%3A12.283467170&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "77ba9e22-bd05-4a8b-8835-1fd261d255be",
"created" : "2026-06-19T18:25:11.621583",
"lastModified" : "2026-06-19T18:25:11.621583",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "0760c193-4d91-4087-a786-46cd45c72c6a",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:09.108841",
"lastModified" : "2026-06-19T18:25:09.108841",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/0760c193-4d91-4087-a786-46cd45c72c6a"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
}, {
"id" : "32cf9ecf-e3f4-498e-a7fd-b503611c6814",
"created" : "2026-06-19T18:25:11.476168",
"lastModified" : "2026-06-19T18:25:11.476168",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "c1858317-897b-4bf6-99f1-c61e1d180582",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:09.019261",
"lastModified" : "2026-06-19T18:25:09.019261",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/32cf9ecf-e3f4-498e-a7fd-b503611c6814"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/32cf9ecf-e3f4-498e-a7fd-b503611c6814",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/c1858317-897b-4bf6-99f1-c61e1d180582"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
}, {
"id" : "ddbd8d16-4c32-400e-a4e0-14fe0e8132b4",
"created" : "2026-06-19T18:25:11.430545",
"lastModified" : "2026-06-19T18:25:11.430546",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "75f10662-b2ed-46b4-aba8-856eb8851211",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:08.925398",
"lastModified" : "2026-06-19T18:25:08.925398",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/ddbd8d16-4c32-400e-a4e0-14fe0e8132b4"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/ddbd8d16-4c32-400e-a4e0-14fe0e8132b4",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/75f10662-b2ed-46b4-aba8-856eb8851211"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?before=2026-06-19T18%3A25%3A12.283467170&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all notifications for a workspace
GET /api/workspaces/{workspaceId}/notifications?all={all}&before={before}&since={since}
Returns all notifications for the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | Whether or not to return both resolved and unresolved notifications | |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae/notifications?before=2026-06-19T18%3A25%3A12.354992436&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae/notifications?before=2026-06-19T18%3A25%3A12.354992436&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "77ba9e22-bd05-4a8b-8835-1fd261d255be",
"created" : "2026-06-19T18:25:11.621583",
"lastModified" : "2026-06-19T18:25:11.621583",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "0760c193-4d91-4087-a786-46cd45c72c6a",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:09.108841",
"lastModified" : "2026-06-19T18:25:09.108841",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/0760c193-4d91-4087-a786-46cd45c72c6a"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
}, {
"id" : "32cf9ecf-e3f4-498e-a7fd-b503611c6814",
"created" : "2026-06-19T18:25:11.476168",
"lastModified" : "2026-06-19T18:25:11.476168",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "c1858317-897b-4bf6-99f1-c61e1d180582",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:09.019261",
"lastModified" : "2026-06-19T18:25:09.019261",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/32cf9ecf-e3f4-498e-a7fd-b503611c6814"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/32cf9ecf-e3f4-498e-a7fd-b503611c6814",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/c1858317-897b-4bf6-99f1-c61e1d180582"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
}, {
"id" : "ddbd8d16-4c32-400e-a4e0-14fe0e8132b4",
"created" : "2026-06-19T18:25:11.430545",
"lastModified" : "2026-06-19T18:25:11.430546",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "75f10662-b2ed-46b4-aba8-856eb8851211",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:08.925398",
"lastModified" : "2026-06-19T18:25:08.925398",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/ddbd8d16-4c32-400e-a4e0-14fe0e8132b4"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/ddbd8d16-4c32-400e-a4e0-14fe0e8132b4",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/75f10662-b2ed-46b4-aba8-856eb8851211"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae/notifications?before=2026-06-19T18%3A25%3A12.354992436&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View a notification
GET /api/notifications/{notification-id}
Returns the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be' -i -X GET
import requests
url = "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification with HAL links.
{
"id" : "77ba9e22-bd05-4a8b-8835-1fd261d255be",
"created" : "2026-06-19T18:25:11.621583",
"lastModified" : "2026-06-19T18:25:11.621583",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "0760c193-4d91-4087-a786-46cd45c72c6a",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:09.108841",
"lastModified" : "2026-06-19T18:25:09.108841",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/0760c193-4d91-4087-a786-46cd45c72c6a"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
}
Refresh notifications
PUT /api/notifications?since={since}&markAsResolved={markAsResolved}
Returns new notifications for the authenticated user profile, optionally marking existing notifications as resolved up to the moment the request was made or the supplied since parameter.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
since | No | ISO 8601 timestamp | The instant at which the request was made | The instant to fetch any new notifications from |
markAsResolved | No | Boolean | true | Whether or not to mark notifications created up to since as resolved |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications?since=2026-06-19T18%3A25%3A12.761424' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/notifications?since=2026-06-19T18%3A25%3A12.761424"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "b805f982-f144-412c-bb4b-e5c5e52f4e30",
"created" : "2026-06-19T18:25:15.39034",
"lastModified" : "2026-06-19T18:25:15.390341",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "26615bd8-0a9b-4de4-92b1-1413b0e6adf8",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-19T18:25:14.250883",
"lastModified" : "2026-06-19T18:25:14.250883",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"dataset" : {
"id" : "c7938a2c-1103-49e1-a0ac-d9dc14e99430",
"published" : "2026-06-19T18:25:03.450109",
"alias" : "analytics-tables",
"workspaceId" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'olllkvc'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-19T18:25:03.453267",
"score" : 1.0
},
"workspace" : {
"id" : "85e326bf-5074-4682-87b4-2eb8bf0380ae",
"name" : "Test Workspace [2026-06-19T18:25:03.153605008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/b805f982-f144-412c-bb4b-e5c5e52f4e30"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/b805f982-f144-412c-bb4b-e5c5e52f4e30",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/09b9b3d1-2955-4e2e-be79-85a63940b819"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/26615bd8-0a9b-4de4-92b1-1413b0e6adf8"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/c7938a2c-1103-49e1-a0ac-d9dc14e99430/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/85e326bf-5074-4682-87b4-2eb8bf0380ae"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?since=2026-06-19T18%3A25%3A12.761424&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
Delete a notification
DELETE /api/notifications/{notification-id}
Deletes the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be' -i -X DELETE
import requests
url = "https://app.matatika.com/api/notifications/77ba9e22-bd05-4a8b-8835-1fd261d255be"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.